Bug 1266089 - shared-mime-info requires /usr/bin/pkg-config
shared-mime-info requires /usr/bin/pkg-config
Product: Fedora
Classification: Fedora
Component: shared-mime-info (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-09-24 08:51 EDT by Petr Pisar
Modified: 2015-09-27 03:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: shared-mime-info-1.5-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-09-27 03:26:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2015-09-24 08:51:23 EDT
I noticed that I cannot remove pkgconfig from a system because dnf reports it would remove dnf or systemd. I tracked it down to shared-mime-info-1.5-1.fc24.x86_64.rpm that run-requires /usr/bin/pkg-config. Why?

I cannot find the dependency explicitly defined by Requires:, nor grepping the binary package does reveals any pkg-config string. Only /usr/share/doc/shared-mime-info/NEWS contains `pkgconfig' word.

According to build.log, the dependency is found by rpmbuild's generators. However I don't know how to run them manually on local files to pinpoint which file is the origin.

Finally, I cannot image why shared-mime-info would need /usr/bin/pkg-config at run-time? I hope it does not and it's just a generator's fault.

I can see this mistake in Fedora 24 as well as Fedora 22.
Comment 1 Rex Dieter 2015-09-24 09:00:05 EDT
The dep is there because it includes a pkg-config file
Comment 2 Petr Pisar 2015-09-24 09:08:16 EDT
Indeed. Shouldn't the file be in a -devel sub-package?
Comment 3 Rex Dieter 2015-09-24 09:09:26 EDT
in this case no, it contains only runtime information
Comment 4 Petr Pisar 2015-09-24 09:11:53 EDT
What is it good for at runtime? The file looks void:


Name: shared-mime-info
Description: Freedesktop common MIME database
Version: 1.5
Comment 5 Rex Dieter 2015-09-24 09:18:44 EDT
It allows one to check shared-mime-info's version
Comment 6 Petr Pisar 2015-09-24 09:27:16 EDT
At run-time?

Nevertheless moving the file into a separate package allows to drop the dependency for those who do not need to check the version at run-time. Those who need the feature still must run-require pkgconfig(shared-mime-info), so the dependency tree will be completed automatically. It does not matter whether the sub-package is called -devel or something else.
Comment 7 Rex Dieter 2015-09-24 09:33:28 EDT
I don't know the full history of this issue, but... I would be against creating a -devel pkg for the sole purpose of a single pkg-config file that contains runtime only information.

So, let's back up a step, what's the use-case for wanting to be rid of a small ~100k pkgconfig ?
Comment 8 Rex Dieter 2015-09-24 09:47:11 EDT
I think we can (and should) filter the pkgconfig dep though, one intent for not having a -devel pkg was also to avoid extra dependencies (like pkgconfig).

* Thu Sep 24 2015 Rex Dieter <rdieter@fedoraproject.org> 1.5-2
- shared-mime-info requires /usr/bin/pkg-config (#1266089)
Comment 9 Fedora Update System 2015-09-24 13:33:45 EDT
shared-mime-info-1.5-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16632
Comment 10 Fedora Update System 2015-09-25 12:32:18 EDT
shared-mime-info-1.5-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update shared-mime-info'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16632
Comment 11 Fedora Update System 2015-09-27 03:26:26 EDT
shared-mime-info-1.5-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.